#
# spec file for package python-platformdirs
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python3-platformdirs
Version:        2.4.0
Release:        150600.1.1
Summary:        Module for determining appropriate platform-specific dirs
License:        MIT
URL:            https://github.com/platformdirs/platformdirs
Source:         https://files.pythonhosted.org/packages/source/p/platformdirs/platformdirs-%{version}.tar.gz
# PATCH-FIX-OPENSUSE no-furo.patch mcepl@suse.com
# https://github.com/pradyunsg/furo/discussions/148#discussioncomment-1125486
# Don't use furo Sphinx theme
Patch0:         no-furo.patch
# PATCH-FIX-OPENSUSE fix-pytest-mock.patch
Patch1:         fix-pytest-mock.patch
# PATCH-FIX-OPENSUSE add-version-metadata.patch
Patch2:         add-version-metadata.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  %{python_module appdirs}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytest-mock}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir".

%prep
%autosetup -p1 -n platformdirs-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
rm tox.ini
%pytest

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE.txt
%{python_sitelib}/platformdirs
%{python_sitelib}/platformdirs-%{version}*-info

%changelog
* Wed Nov 22 2023 daniel.garcia@suse.com
- Add add-version-metadata.patch to get the version number in the
  package.
- Add fix-pytest-mock.patch to make it work with
  python3-pytest-mock-2.0.0.
- Do not build doc package and adjust requirement versions.
* Sun Oct  3 2021 code@bnavigator.de
- Update to version 2.4.0
  * Add user_documents_dir
  * Add user_runtime_dir and its path-returning equivalent (#37)
- Fix egg-info version: build requires setuptools_scm >= 5
* Tue Aug  3 2021 mcepl@suse.com
- Initial package for platformdirs 2.2.0.
- Add no-furo.patch to avoid using furo Sphinx theme
  (https://github.com/pradyunsg/furo/discussions/148#discussioncomment-1125486)
